prev
reset
Array Functions
PHP Manual

# range

(PHP 4, PHP 5, PHP 7)

range — Create an array containing a range of elements

### Description

array range ( mixed `$start` , mixed `$end` [, number `$step` = 1 ] )

Create an array containing a range of elements.

### Parameters

`start`

  First value of the sequence.

`end`

  The sequence is ended upon reaching the `end` value.

`step`

  If a `step` value is given, it will be used as the increment between elements in the sequence. `step` should be given as a positive number. If not specified, `step` will default to 1.

### Return Values

Returns an array of elements from `start` to `end`, inclusive.

### Examples

Example #1 range() examples

`<?php
// array(0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12)
foreach (range(0, 12) as $number) {
echo $number;
}
// The step parameter
// array(0, 10, 20, 30, 40, 50, 60, 70, 80, 90, 100)
foreach (range(0, 100, 10) as $number) {
echo $number;
}
// Usage of character sequences
// array('a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i');
foreach (range('a', 'i') as $letter) {
echo $letter;
}
// array('c', 'b', 'a');
foreach (range('c', 'a') as $letter) {
echo $letter;
}
?>`

### Notes

> Note:

> Character sequence values are limited to a length of one. If a length greater than one is entered, only the first character is used.

### See Also

- shuffle() - Shuffle an array
- array_fill() - Fill an array with values
- foreach

prev
reset
Array Functions
PHP Manual